org.springframework.shell.support.logging

## Class MessageDisplayUtils

- java.lang.Object
- - org.springframework.shell.support.logging.MessageDisplayUtils

-     public abstract class MessageDisplayUtils
      extends Object

  Retrieves text files from the classloader and displays them on-screen.

  Respects normal Roo conventions such as all resources should appear under the same package as the bundle itself etc.

  Since:
    1.1.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageDisplayUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `displayFile(String fileName, Class<?> owner)` Same as `displayFile(String, Class, boolean)` except it passes false as the final argument.
    `static void` | `displayFile(String fileName, Class<?> owner, boolean important)` Displays the requested file via the LOGGER API.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageDisplayUtils

          public MessageDisplayUtils()

  - ### Method Detail

    - #### displayFile

          public static void displayFile(String fileName,
                         Class<?> owner,
                         boolean important)

      Displays the requested file via the LOGGER API.

      Each file must available from the classloader of the "owner". It must also be in the same package as the class of the "owner". So if the owner is com.foo.Bar, and the file is called "hello.txt", the file must appear in the same bundle as com.foo.Bar and be available from the resource path "/com/foo/Hello.txt".

      Parameters:
        `fileName` - the simple filename (required)
        `owner` - the class which owns the file (required)
        `important` - if true, it will display with a higher importance color where possible

    - #### displayFile

          public static void displayFile(String fileName,
                         Class<?> owner)

      Same as `displayFile(String, Class, boolean)` except it passes false as the final argument.
      Parameters:
        `fileName` - the simple filename (required)
        `owner` - the class which owns the file (required)